IndexUpdateConfiguration (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.index.mapred
Class IndexUpdateConfiguration

    java.lang.Object
      org.apache.hadoop.contrib.index.mapred.IndexUpdateConfiguration

    public class IndexUpdateConfiguration

extends Object

This class provides the getters and the setters to a number of parameters. Most of the parameters are related to the index update and the rest are from the existing Map/Reduce parameters.

Constructor Summary
`IndexUpdateConfiguration(Configuration conf)` Constructor

Method Summary
`Configuration` | `getConfiguration()` Get the underlying configuration object.
`Class<? extends IDistributionPolicy>` | `getDistributionPolicyClass()` Get the distribution policy class.
`Class<? extends org.apache.lucene.analysis.Analyzer>` | `getDocumentAnalyzerClass()` Get the analyzer class.
`Class<? extends InputFormat>` | `getIndexInputFormatClass()` Get the index input format class.
`int` | `getIndexMaxFieldLength()` Get the max field length for a Lucene instance.
`int` | `getIndexMaxNumSegments()` Get the max number of segments for a Lucene instance.
`String` | `getIndexShards()` Get the string representation of a number of shards.
`Class<? extends IIndexUpdater>` | `getIndexUpdaterClass()` Get the index updater class.
`boolean` | `getIndexUseCompoundFile()` Check whether to use the compound file format for a Lucene instance.
`int` | `getIOSortMB()` Get the IO sort space in MB.
`Class<? extends ILocalAnalysis>` | `getLocalAnalysisClass()` Get the local analysis class.
`String` | `getMapredTempDir()` Get the Map/Reduce temp directory.
`void` | `setDistributionPolicyClass(Class<? extends IDistributionPolicy> theClass)` Set the distribution policy class.
`void` | `setDocumentAnalyzerClass(Class<? extends org.apache.lucene.analysis.Analyzer> theClass)` Set the analyzer class.
`void` | `setIndexInputFormatClass(Class<? extends InputFormat> theClass)` Set the index input format class.
`void` | `setIndexMaxFieldLength(int maxFieldLength)` Set the max field length for a Lucene instance.
`void` | `setIndexMaxNumSegments(int maxNumSegments)` Set the max number of segments for a Lucene instance.
`void` | `setIndexShards(String shards)` Set the string representation of a number of shards.
`void` | `setIndexUpdaterClass(Class<? extends IIndexUpdater> theClass)` Set the index updater class.
`void` | `setIndexUseCompoundFile(boolean useCompoundFile)` Set whether use the compound file format for a Lucene instance.
`void` | `setIOSortMB(int mb)` Set the IO sort space in MB.
`void` | `setLocalAnalysisClass(Class<? extends ILocalAnalysis> theClass)` Set the local analysis class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexUpdateConfiguration

    public IndexUpdateConfiguration(Configuration conf)

  Constructor

  Parameters:
    `conf` -

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Get the underlying configuration object.

  Returns:
    the configuration

### getIOSortMB

    public int getIOSortMB()

  Get the IO sort space in MB.

  Returns:
    the IO sort space in MB

### setIOSortMB

    public void setIOSortMB(int mb)

  Set the IO sort space in MB.

  Parameters:
    `mb` - the IO sort space in MB

### getMapredTempDir

    public String getMapredTempDir()

  Get the Map/Reduce temp directory.

  Returns:
    the Map/Reduce temp directory

### getDistributionPolicyClass

    public Class<? extends IDistributionPolicy> getDistributionPolicyClass()

  Get the distribution policy class.

  Returns:
    the distribution policy class

### setDistributionPolicyClass

    public void setDistributionPolicyClass(Class<? extends IDistributionPolicy> theClass)

  Set the distribution policy class.

  Parameters:
    `theClass` - the distribution policy class

### getDocumentAnalyzerClass

    public Class<? extends org.apache.lucene.analysis.Analyzer> getDocumentAnalyzerClass()

  Get the analyzer class.

  Returns:
    the analyzer class

### setDocumentAnalyzerClass

    public void setDocumentAnalyzerClass(Class<? extends org.apache.lucene.analysis.Analyzer> theClass)

  Set the analyzer class.

  Parameters:
    `theClass` - the analyzer class

### getIndexInputFormatClass

    public Class<? extends InputFormat> getIndexInputFormatClass()

  Get the index input format class.

  Returns:
    the index input format class

### setIndexInputFormatClass

    public void setIndexInputFormatClass(Class<? extends InputFormat> theClass)

  Set the index input format class.

  Parameters:
    `theClass` - the index input format class

### getIndexUpdaterClass

    public Class<? extends IIndexUpdater> getIndexUpdaterClass()

  Get the index updater class.

  Returns:
    the index updater class

### setIndexUpdaterClass

    public void setIndexUpdaterClass(Class<? extends IIndexUpdater> theClass)

  Set the index updater class.

  Parameters:
    `theClass` - the index updater class

### getLocalAnalysisClass

    public Class<? extends ILocalAnalysis> getLocalAnalysisClass()

  Get the local analysis class.

  Returns:
    the local analysis class

### setLocalAnalysisClass

    public void setLocalAnalysisClass(Class<? extends ILocalAnalysis> theClass)

  Set the local analysis class.

  Parameters:
    `theClass` - the local analysis class

### getIndexShards

    public String getIndexShards()

  Get the string representation of a number of shards.

  Returns:
    the string representation of a number of shards

### setIndexShards

    public void setIndexShards(String shards)

  Set the string representation of a number of shards.

  Parameters:
    `shards` - the string representation of a number of shards

### getIndexMaxFieldLength

    public int getIndexMaxFieldLength()

  Get the max field length for a Lucene instance.

  Returns:
    the max field length for a Lucene instance

### setIndexMaxFieldLength

    public void setIndexMaxFieldLength(int maxFieldLength)

  Set the max field length for a Lucene instance.

  Parameters:
    `maxFieldLength` - the max field length for a Lucene instance

### getIndexMaxNumSegments

    public int getIndexMaxNumSegments()

  Get the max number of segments for a Lucene instance.

  Returns:
    the max number of segments for a Lucene instance

### setIndexMaxNumSegments

    public void setIndexMaxNumSegments(int maxNumSegments)

  Set the max number of segments for a Lucene instance.

  Parameters:
    `maxNumSegments` - the max number of segments for a Lucene instance

### getIndexUseCompoundFile

    public boolean getIndexUseCompoundFile()

  Check whether to use the compound file format for a Lucene instance.

  Returns:
    true if using the compound file format for a Lucene instance

### setIndexUseCompoundFile

    public void setIndexUseCompoundFile(boolean useCompoundFile)

  Set whether use the compound file format for a Lucene instance.

  Parameters:
    `useCompoundFile` - whether to use the compound file format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation